Bug 814608 - Sportsclub example can't be packaged due to missing javax.el.ELContext class
Sportsclub example can't be packaged due to missing javax.el.ELContext class
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.0.0.ER4
Unspecified Unspecified
medium Severity high
: ---
: 2.0.0.ER5
Assigned To: Marius Bogoevici
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 04:46 EDT by Tomas Repel
Modified: 2013-03-03 20:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-04-20 04:46:08 EDT
Description of problem:

The class javax.el.ELContext is missing in Sportsclub example in subproject sportsclub-reservations-webflow.

Version-Release number of selected component (if applicable):

EAP6 ER5
WFK2 ER4
Sportsclub spring-3 and spring-3.1 variant

How reproducible:

Always.

Steps to Reproduce:
1. package sportsclub example
  
Actual results:

[ERROR] /home/trepel/workspace/sportsclub-spring-3.1/sportsclub-reservations-webflow/src/main/java/org/springframework/faces/webflow/FlowFacesContext.java:[114,16] cannot find symbol
symbol  : class ELContext
location: class org.springframework.faces.webflow.FlowFacesContext

Expected results:

It passes.

Additional info:

The workaround for this is to add org.jboss.spec.javax.el:jboss-el-api_2.2_spec dependency to the pom.xml of sportsclub-reservations-webflow subproject.
Comment 1 Marius Bogoevici 2012-04-24 12:30:40 EDT
This issue should become obsolete post WFK2.0.0.ER5 when we remove the workaround classes for sports club.
Comment 2 Tomas Repel 2012-05-14 08:46:44 EDT
Verified in WFK2 ER5.

Note You need to log in before you can comment on or make changes to this bug.